## bpack 1.1.0

=== Makefile ===
#!/usr/bin/make -f

PYTHON=python3

.PHONY: default help dist check clean distclean api lint

default: help

help:
	@echo "Usage: make <TARGET>"
	@echo "Available targets:"
	@echo "  help      - print this help message"
	@echo "  dist      - generate the distribution packages (source and wheel)"
	@echo "  check     - run a full test (using tox)"
	@echo "  clean     - clean build artifacts"
	@echo "  distclean - clean all generated and cache files"
	@echo "  api       - update the API source files in the documentation"
	@echo "  lint      - perform check with code linter (flake8, black)"

dist:
	$(PYTHON) -m build
	$(PYTHON) -m twine check dist/*

check:
	$(PYTHON) -m tox

clean:
	$(MAKE) -C docs clean
	$(RM) -r build bpack.egg-info docs/_build
	$(RM) -r __pycache__ */__pycache__ */*/__pycache__

distclean: clean
	$(RM) -r dist .coverage htmlcov .pytest_cache .tox
	@# $(RM) .DS_Store */.DS_Store */*/.DS_Store
	@# $(RM) -r .idea

api:
	$(RM) -r docs/api
	sphinx-apidoc --module-first --separate --no-toc --doc-project "bpack API" \
	  -o docs/api --templatedir docs/_templates/apidoc bpack bpack/tests

lint:
	$(PYTHON) -m flake8 --count --statistics bpack
	$(PYTHON) -m pydocstyle --count bpack
	$(PYTHON) -m isort --check bpack
	$(PYTHON) -m black --check bpack

=== debian/changelog ===
bpack (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 18 Jun 2024 21:11:42 +0200

bpack (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #1036420).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 09 Jun 2024 07:43:56 +0000

=== debian/control ===
Source: bpack
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-all,
               python3-bitarray,
               python3-bitstruct,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Homepage: https://github.com/avalentino/bpack
Vcs-Browser: https://salsa.debian.org/debian-gis-team/bpack
Vcs-Git: https://salsa.debian.org/debian-gis-team/bpack.git
Description: Binary data structures (un-)packing library
 The *bpack* Python package provides tools to describe and encode/decode
 binary data.
 .
 Binary data are assumed to be organized in *records*, each composed by a
 sequence of fields. Fields are characterized by a known size, offset
 (w.r.t. the beginning of the record) and datatype.
 .
 The package provides classes and functions that can be used to:
 .
  * describe binary data structures in a declarative way (structures can
    be specified up to the bit level)
  * automatically generate encoders/decoders for a specified data descriptor
 .
 Encoders/decoders (*backends*) rely on well known Python packages like:
 .
  * struct (form the standard library)
  * bitstruct (optional)
  * numpy (optional)
  * bitarray (optional) - partial implementation

Package: python3-bpack
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-bitstruct,
            python3-numpy
Suggests: python-bpack-doc,
          python3-bitarray
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-bpack-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Suggests: www-browser
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package provides documentation for bpack.

## bpack 1.2.0

=== Makefile ===
#!/usr/bin/make -f

PYTHON=python3
SPHINX_APIDOC=sphinx-apidoc
TARGET=bpack

.PHONY: default help dist check fullcheck coverage lint api docs clean cleaner distclean

default: help

help:
	@echo "Usage: make <TARGET>"
	@echo "Available targets:"
	@echo "  help      - print this help message"
	@echo "  dist      - generate the distribution packages (source and wheel)"
	@echo "  check     - run a full test (using pytest)"
	@echo "  fullcheck - run a full test (using tox)"
	@echo "  coverage  - run tests and generate the coverage report"
	@echo "  lint      - perform check with code linter (flake8, black)"
	@echo "  api       - update the API source files in the documentation"
	@echo "  docs      - generate the sphinx documentation"
	@echo "  clean     - clean build artifacts"
	@echo "  cleaner   - clean cache files and working directories of al tools"
	@echo "  distclean - clean all the generated files"

dist:
	$(PYTHON) -m build
	$(PYTHON) -m twine check dist/*.tar.gz dist/*.whl

check:
	$(PYTHON) -m pytest --doctest-modules $(TARGET)

fullcheck:
	$(PYTHON) -m tox run

coverage:
	$(PYTHON) -m pytest --doctest-modules --cov=$(TARGET) --cov-report=html --cov-report=term

lint:
	$(PYTHON) -m flake8 --count --statistics $(TARGET)
	$(PYTHON) -m pydocstyle --count $(TARGET)
	$(PYTHON) -m isort --check $(TARGET)
	$(PYTHON) -m black --check $(TARGET)
	# $(PYTHON) -m mypy --check-untyped-defs --ignore-missing-imports $(TARGET)
	# ruff check $(TARGET)

api:
	$(RM) -r docs/api
	$(SPHINX_APIDOC) --module-first --separate --no-toc -o docs/api \
	  --doc-project "$(TARGET) API" --templatedir docs/_templates/apidoc \
	  $(TARGET) $(TARGET)/tests

docs:
	mkdir -p docs/_static
	$(MAKE) -C docs html

clean:
	$(RM) -r *.*-info build
	find . -name __pycache__ -type d -exec $(RM) -r {} +
	# $(RM) -r __pycache__ */__pycache__ */*/__pycache__ */*/*/__pycache__
	$(RM) $(TARGET)/*.c $(TARGET)/*.cpp $(TARGET)/*.so $(TARGET)/*.o
	if [ -f docs/Makefile ] ; then $(MAKE) -C docs clean; fi
	$(RM) -r docs/_build

cleaner: clean
	$(RM) -r .coverage htmlcov
	$(RM) -r .pytest_cache .tox
	$(RM) -r .mypy_cache .ruff_cache
	$(RM) -r .ipynb_checkpoints

distclean: cleaner
	$(RM) -r dist

=== debian/changelog ===
bpack (1.2.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release (Closes: #1088221).
  * Update dates in d/copyright.
  * debina/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 26 Nov 2024 11:11:58 +0000

## bpack 1.3.0

=== Makefile ===
#!/usr/bin/make -f

PYTHON=python3
SPHINX_APIDOC=sphinx-apidoc
TARGET=bpack

.PHONY: default help dist check fullcheck coverage clean cleaner distclean \
        lint docs api

default: help

help:
	@echo "Usage: make <TARGET>"
	@echo "Available targets:"
	@echo "  help      - print this help message"
	@echo "  dist      - generate the distribution packages (source and wheel)"
	@echo "  check     - run a full test (using pytest)"
	@echo "  fullcheck - run a full test (using tox)"
	@echo "  coverage  - run tests and generate the coverage report"
	@echo "  clean     - clean build artifacts"
	@echo "  cleaner   - clean cache files and working directories of al tools"
	@echo "  distclean - clean all the generated files"
	@echo "  lint      - perform check with code linter (flake8, black)"
	@echo "  docs      - generate the sphinx documentation"
	@echo "  api       - update the API source files in the documentation"

dist:
	$(PYTHON) -m build
	$(PYTHON) -m twine check dist/*.tar.gz dist/*.whl

check:
	$(PYTHON) -m pytest --doctest-modules $(TARGET)

fullcheck:
	$(PYTHON) -m tox run

coverage:
	$(PYTHON) -m pytest --doctest-modules --cov=$(TARGET) --cov-report=html --cov-report=term

clean:
	$(RM) -r *.*-info build
	find . -name __pycache__ -type d -exec $(RM) -r {} +
	# $(RM) -r __pycache__ */__pycache__ */*/__pycache__ */*/*/__pycache__
	$(RM) $(TARGET)/*.c $(TARGET)/*.cpp $(TARGET)/*.so $(TARGET)/*.o
	if [ -f docs/Makefile ] ; then $(MAKE) -C docs clean; fi
	$(RM) -r docs/_build

cleaner: clean
	$(RM) -r .coverage htmlcov
	$(RM) -r .pytest_cache .tox
	$(RM) -r .mypy_cache .ruff_cache
	$(RM) -r .ipynb_checkpoints

distclean: cleaner
	$(RM) -r dist

lint:
	$(PYTHON) -m flake8 --count --statistics $(TARGET)
	$(PYTHON) -m pydocstyle --count $(TARGET)
	$(PYTHON) -m isort --check $(TARGET)
	$(PYTHON) -m black --check $(TARGET)
	# $(PYTHON) -m mypy --check-untyped-defs --ignore-missing-imports $(TARGET)
	# ruff check $(TARGET)

docs:
	mkdir -p docs/_static
	$(MAKE) -C docs html

api:
	$(RM) -r docs/api
	$(SPHINX_APIDOC) --module-first --separate --no-toc -o docs/api \
	  --doc-project "$(TARGET) API" --templatedir docs/_templates/apidoc \
	  $(TARGET) $(TARGET)/tests

=== debian/changelog ===
bpack (1.3.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * debian/control:
    - Mark python-bpack-doc as Multi-Arch: foreign.
    - Drop "Rules-Requires-Root: no", no longer needed.
  * Set upstream metadata fields: Documentation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 28 Sep 2025 07:50:21 +0000

bpack (1.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 09 Jan 2025 06:26:26 +0000

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,8 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 Homepage: https://github.com/avalentino/bpack
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/bpack
 Vcs-Git: https://salsa.debian.org/debian-gis-team/bpack.git
@@ -56,6 +55,7 @@
 Package: python-bpack-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
 Suggests: www-browser

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=bpack
export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif
